slepc-3.21.1 2024-04-26
Report Typos and Errors

# EPSVectorsView

Outputs computed eigenvectors to a viewer.

### Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSVectorsView(EPS eps,PetscViewer viewer)

Collective

### Input Parameters

| eps | - the eigensolver context
| viewer | - the viewer

### Options Database Key

| -eps_view_vectors | - output eigenvectors.

### Notes

If PETSc was configured with real scalars, complex conjugate eigenvectors will be viewed as two separate real vectors, one containing the real part and another one containing the imaginary part.

If left eigenvectors were computed with a two-sided eigensolver, the right and left eigenvectors are interleaved, that is, the vectors are output in the following order X0, Y0, X1, Y1, X2, Y2, ...

### See Also

EPSSolve(), EPSValuesView(), EPSErrorView()

### Level

intermediate

### Location

src/eps/interface/epsview.c
Index of all EPS routines
Table of Contents for all manual pages
Index of all manual pages